package com.mareksebera.helloworld;

import android.app.Activity;
import android.graphics.Color;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.LinearLayout;
import android.widget.TextView;

public class MainActivity extends Activity implements OnClickListener {

	private TextView text;
	private LinearLayout layout;
	private boolean switcher = true;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);

		text = (TextView) findViewById(R.id.main_text);
		layout = (LinearLayout) findViewById(R.id.main_layout);

		text.setOnClickListener(this);
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		getMenuInflater().inflate(R.menu.activity_main, menu);
		return true;
	}

	@Override
	public void onClick(View v) {
		switch (v.getId()) {
		case R.id.main_text:
			if (switcher) {
				text.setTextColor(Color.WHITE);
				layout.setBackgroundColor(Color.BLACK);
			} else {
				text.setTextColor(Color.BLACK);
				layout.setBackgroundColor(Color.WHITE);
			}
			switcher = !switcher;
			raiseNumber();
			break;
		}
	}

	private void raiseNumber() {
		int number = getNumber();
		number++;
		persistNumber(number);
		text.setText("You clicked " + number + " times");
	}

	private void persistNumber(int number) {
		PreferenceManager.getDefaultSharedPreferences(this).edit()
				.putInt(PREF_NUMBER, number).commit();
	}

	private static final String PREF_NUMBER = "number";

	private int getNumber() {
		return PreferenceManager.getDefaultSharedPreferences(this).getInt(
				PREF_NUMBER, 0);
	}

}
